﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace SilverlightApplication3
{
    public class CustomGroupHeaderContentTemplateSelector : ScheduleViewDataTemplateSelector
    {
        public DataTemplate HorizontalTemplate { set; get; }
        public DataTemplate VerticalTemplate { set; get; }
        public DataTemplate HorizontalResourceTemplate { set; get; }
        public DataTemplate VerticalResourceTemplate { set; get; }

        public override DataTemplate SelectTemplate(object item, DependencyObject container, ViewDefinitionBase activeViewDeifinition)
        {
            CollectionViewGroup cvg = item as CollectionViewGroup;
            if (cvg != null && cvg.Name is IResource)
            {
                if (activeViewDeifinition.GetOrientation() == Orientation.Vertical)
                {
                    if (this.HorizontalResourceTemplate != null)
                    {
                        return this.HorizontalResourceTemplate;
                    }
                }
                else
                {
                    if (this.VerticalResourceTemplate != null)
                    {
                        return this.VerticalResourceTemplate;
                    }
                }
            }

            if (cvg != null && cvg.Name is DateTime)
            {
                if (activeViewDeifinition.GetOrientation() == Orientation.Vertical)
                {
                    return this.HorizontalTemplate;
                }
                else
                {
                    return this.VerticalTemplate;
                }
            }
            return base.SelectTemplate(item, container, activeViewDeifinition);
        }
    }
}
